[SciPy-user] Installation Issues

Jeremy Morris jeremydmorris at gmail.com
Fri Mar 4 15:53:10 CST 2005


I have been trying to install Scipy for the last few days.  I run
Mandrake 10, and when I run the command:

python setup.py build

I get the following error:
In file included from /usr/include/python2.3/Python.h:8,
                from Lib/cluster/src/vq_wrap.cpp:176:
/usr/include/python2.3/pyconfig.h:847:1: warning: "_POSIX_C_SOURCE" redefined
In file included from /usr/include/string.h:26,
                from Lib/cluster/src/vq_wrap.cpp:27:
/usr/include/features.h:131:1: warning: this is the location of the
previous definition
In file included from Lib/cluster/src/vq_wrap.cpp:499:
Lib/cluster/src/vq.h:57:7: warning: no newline at end of file
Lib/cluster/src/vq_wrap.cpp:563:33: Numeric/arrayobject.h: No such
file or directory
Lib/cluster/src/vq_wrap.cpp:686: error: syntax error before `*' token
Lib/cluster/src/vq_wrap.cpp:690: error: `basetype_string' was not
declared in this scope

This is just the first few lines.  I think the line that is the most
important is this one:

Lib/cluster/src/vq_wrap.cpp:563:33: Numeric/arrayobject.h: No such
file or directory

Like I said, I have been trying to build/install for a few days now.
I knew when I was altering the source that maybe something was wrong.
Can anyone help?  I need to get this running for an assignment, and
still have to learn Python.  The website said that I should include
the following info:

Platform :
posix linux2

uname -a :
Linux <my hostname> 2.6.3-7mdk #1 Wed Mar 17 15:56:42 CET 2004 i686
unknown unknown GNU/Linux

gcc -v :
Reading specs from /usr/lib/gcc-lib/i586-mandrake-linux-gnu/3.3.2/specs
Configured with: ../configure --prefix=/usr --libdir=/usr/lib
--with-slibdir=/lib --mandir=/usr/share/man --infodir=/usr/share/info
--enable-shared --enable-threads=posix --disable-checking
--enable-long-long --enable-__cxa_atexit --enable-clocale=gnu
--enable-languages=c,c++,ada,f77,objc,java,pascal
--host=i586-mandrake-linux-gnu --with-system-zlib
Thread model: posix
gcc version 3.3.2 (Mandrake Linux 10.0 3.3.2-6mdk)

g77 --version :
GNU Fortran (GCC) 3.3.2 (Mandrake Linux 10.0 3.3.2-6mdk)
Copyright (C) 2002 Free Software Foundation, Inc.

GNU Fortran comes with NO WARRANTY, to the extent permitted by law.
You may redistribute copies of GNU Fortran
under the terms of the GNU General Public License.
For more information about these matters, see the file named COPYING
or type the command `info -f g77 Copying'.

Python Version :
2.3.3 (#2, Feb  9 2005, 13:57:58)
[GCC 3.3.2 (Mandrakelinux 10.0 3.3.2-9mdk)]

Numeric Version :
23.1

f2py Version :
2.45.241_1926

ATLAS Info :
Traceback (most recent call last):
 File "setup_atlas_version.py", line 5, in ?
   from scipy_distutils.misc_util import get_path, default_config_dict
ImportError: No module named scipy_distutils.misc_util
And :
Traceback (most recent call last):
 File "<string>", line 1, in ?
ImportError: No module named atlas_version

Other output :
_pkg_config_info:
 NOT AVAILABLE

agg2_info:
( src_dirs = .:/usr/local/src )
 NOT AVAILABLE

atlas_blas_info:
( library_dirs = /root/Linux_ATHLONSSE1/lib:/usr/local/lib:/usr/lib )
( paths: /root/Linux_ATHLONSSE1/lib/libf77blas.a )
( paths: /root/Linux_ATHLONSSE1/lib/libcblas.a )
( paths: /root/Linux_ATHLONSSE1/lib/libatlas.a )
system_info.atlas_blas_info
( include_dirs = /root/Linux_ATHLONSSE1/lib:/usr/local/include:/usr/include )
 FOUND:
   libraries = ['f77blas', 'cblas', 'atlas']
   library_dirs = ['/root/Linux_ATHLONSSE1/lib']
   language = c

atlas_blas_threads_info:
( library_dirs = /root/Linux_ATHLONSSE1/lib:/usr/local/lib:/usr/lib )
( paths: /root/Linux_ATHLONSSE1/lib/libatlas.a )
system_info.atlas_blas_threads_info
 NOT AVAILABLE

atlas_info:
( library_dirs = /root/Linux_ATHLONSSE1/lib:/usr/local/lib:/usr/lib )
( paths: /root/Linux_ATHLONSSE1/lib/libf77blas.a )
( paths: /root/Linux_ATHLONSSE1/lib/libcblas.a )
( paths: /root/Linux_ATHLONSSE1/lib/libatlas.a )
( paths: /root/Linux_ATHLONSSE1/lib/liblapack.a )
system_info.atlas_info
( include_dirs = /root/Linux_ATHLONSSE1/lib:/usr/local/include:/usr/include )
 FOUND:
   libraries = ['lapack', 'f77blas', 'cblas', 'atlas']
   library_dirs = ['/root/Linux_ATHLONSSE1/lib']
   language = f77

atlas_threads_info:
( library_dirs = /root/Linux_ATHLONSSE1/lib:/usr/local/lib:/usr/lib )
( paths: /root/Linux_ATHLONSSE1/lib/libatlas.a )
system_info.atlas_threads_info
 NOT AVAILABLE

blas_info:
( library_dirs = /usr/local/lib:/usr/lib )
 NOT AVAILABLE

blas_opt_info:
Traceback (most recent call last):
 File "scipy_core/scipy_distutils/system_info.py", line 1430, in ?
   show_all()
 File "scipy_core/scipy_distutils/system_info.py", line 1427, in show_all
   r = c.get_info()
 File "scipy_core/scipy_distutils/system_info.py", line 314, in get_info
   self.calc_info()
 File "scipy_core/scipy_distutils/system_info.py", line 972, in calc_info
   atlas_version = get_atlas_version(**version_info)
 File "scipy_core/scipy_distutils/system_info.py", line 809, in
get_atlas_version
   from core import Extension, setup
 File "scipy_core/scipy_distutils/core.py", line 5, in ?
   from scipy_distutils.dist import Distribution
ImportError: No module named scipy_distutils.dist

And :
python: can't open file 'scipy_core/scipy_distutils/command/build_flib.py'

Thanks again.

Jeremy



More information about the SciPy-user mailing list